package p11_klasy.podstawy_v6;

public class Wypisywanie {

	public static void main(String[] args) {
		Osoba a = new Osoba("Ala", "Kowalska", 30);
		Osoba b = new Osoba("Ola", "Malinowska", 40);
		
		// co się dzieje, gdy wypisujemy obiekt?
		System.out.println(a);
		System.out.println(b);
		System.out.println();
		
		// Java zamienia obiekt na postać tekstową za pomocą metody toString:
		String s = a.toString();
		System.out.println(s);
		
		// to samo dzieje się, gdy dodajemy obiekt do string lub gdy używamy metody String.valueOf:
		// String.valueOf(cokolwiek) jest uniwersalnym sposobem, aby stworzyć st
		s = String.valueOf(a);
		System.out.println(s);

		System.out.println("Witamy osobę: " + a);
	}

}
